From 5d1ca31daef0934665a89f6d35b34469e73a62f4 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:58:10 +0000
Subject: [PATCH 709/1001] Add the Flask variables and filters to widget template env


---

diff --git a/hubs/widgets/templating.py b/hubs/widgets/templating.py
index 41e0c5b..ac5b3e4 100644
--- a/hubs/widgets/templating.py
+++ b/hubs/widgets/templating.py
@@ -2,6 +2,7 @@ from __future__ import unicode_literals
 
 import os
 
+import flask
 import jinja2
 
 here = os.path.dirname(os.path.abspath(__file__))
@@ -10,3 +11,9 @@ environment = jinja2.Environment(
     loader=jinja2.FileSystemLoader(here),
     trim_blocks=True,
 )
+environment.filters['tojson'] = flask.json.tojson_filter
+environment.globals.update({
+    'session': flask.app.session,
+    'g': flask.g,
+    'url_for': flask.url_for,
+    })

